oracle.jdbc

## Interface OracleParameterMetaData

All Superinterfaces:
  ParameterMetaData, Wrapper

    public interface OracleParameterMetaData
    extends ParameterMetaData

This interface defines the Oracle extensions to the standard JDBC interface `java.sql.ParameterMetaData`. For pre-JDK 1.4 applications, this interface provides the equivalent functions in `java.sql.ParameterMetaData`. Applications can use `java.sql.ParameterMetaData` where they do not make use of Oracle extensions. However, when an application uses the Oracle extensions to `java.sql.ParameterMetaData`, it must use `oracle.jdbc.OracleParameterMetaData`.

This is an interface that can be used to get information about the types and properties of the parameters in a `PreparedStatement` object.

### Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Method Summary

### Methods inherited from interface java.sql.ParameterMetaData

`getParameterClassName, getParameterCount, getParameterMode, getParameterType, getParameterTypeName, getPrecision, getScale, isNullable, isSigned`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.